#ifndef LIBSARIA_CALLBACKS_H
#define LIBSARIA_CALLBACKS_H

enum callback_t {
	PLAY,
	PAUSE,
	VOLUME,
	TRACK_LOADED,
	IDLE_TASK_QUEUED,
	LIBRARY_REFRESH,
};

void register_callback(callback_t, void (*)());
void trigger_callback(callback_t);

#endif /* LIBSARIA_CALLBACKS_H */
